Modifying and deleting holidays
Modifying holidays
Use the following endpoint to modify a holiday:
- PATCH
/admin/v1/holidays/{holidayId}
You can modify the following attributes:
appliesToAllZonesholidayTags/codename
Note: The
code within
holidayTags is a String that represents a
TypeKey from a TypeList of available
holiday codes, so you can only specify a value enumerated in that list. To learn
how to find more information about which typekeys are available for the holiday
typelists, refer to Typelist metadata.For example, the following request modifies the New Year's Day holiday (ID of
xc:SykmXn31Po4-cC6hr-I5y) in ClaimCenter to designate it as a
company holiday by changing the code within its
holidayTags.
Command
PATCH /admin/v1/holidays/xc:SykmXn31Po4-cC6hr-I5y
Request
{
"data": {
"attributes": {
"holidayTags": [
{
"code": "CompanyHolidays"
}
]
}
}
}
Response
{
"data": {
"appliesToAllZones": false,
"holidayTags": [
{
"code": "CompanyHolidays",
"name": "Company Holidays"
}
],
"id": "xc:SykmXn31Po4-cC6hr-I5y",
"name": "New Year's Day",
"occurrenceDate": "2026-01-01"
}
}
Deleting holidays
Use the following endpoint to delete a holiday:
- DELETE
/admin/v1/holidays/{holidayId}
For example, the following request deletes the holiday with the id of
pc:SykmsaXoNo4-cC6hr-I5y in PolicyCenter.
Command
DELETE /admin/v1/holidays/xc:SykmsaXoNo4-cC6hr-I5y
<no request body>